Bug 996380 (CVE-2013-4220)

Summary: CVE-2013-4220 Kernel: arm64: unhandled esr by el0_sync_compat
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, anton, aquini, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jkurik, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, matt, mcressma, plougher, pmatouse, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130524,reported=20130627,source=git,cvss2=4.7/AV:L/AC:M/Au:N/C:N/I:N/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-10 01:21:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 996383    
Bug Blocks: 979016    

Description Prasad J Pandit 2013-08-13 01:39:02 EDT
Linux kernel built for the ARM64(CONFIG_ARM64) platform is vulnerable to a
crash when the processor generates trap/esr, that is not handled gracefully,
which leads to bad_mode(), wherein it'll die() or oops().

A user/program could use this flaw to crash the kernel resulting in DoS.

Upstream fixes:
===============
  -> https://git.kernel.org/linus/381cc2b9705512ee7c7f1839cbdde374625a2a9f
  -> https://git.kernel.org/linus/9955ac47f4ba1c95ecb6092aeaefb40a22e99268

Reference:
==========
  -> http://www.openwall.com/lists/oss-security/2013/08/08/12
Comment 1 Prasad J Pandit 2013-08-13 01:43:44 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5, 6, and Red Hat Enterprise MRG 2.
Comment 2 Prasad J Pandit 2013-08-13 01:45:37 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 996383]